package xyz.pixelatedw.finalbeta.mixin;

import java.util.List;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.Screen;

@Mixin(Screen.class)
public class ScreenMixin {
	
	@Shadow
	public Minecraft minecraft;
	
	@Shadow
	public List buttons;

	@Inject(method = "onClose", at = @At("HEAD"))
	public void onClose(CallbackInfo ci) {
		this.onCloseEvent();
	}
	
	public void onCloseEvent() {}
}
