package xyz.pixelatedw.finalbeta.mixin;

import java.io.IOException;
import java.util.Properties;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import net.minecraft.client.resource.language.TranslationStorage;

@Mixin(TranslationStorage.class)
public class TranslationStorageMixin {
	@Shadow
	private Properties translations;

	@Inject(method = "<init>()V", at = @At("TAIL"))
	private void init(CallbackInfo ci) {
		try {
			this.translations.load(TranslationStorage.class.getResourceAsStream("/assets/finalbeta/lang/en_US.lang"));
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
}
